ata_port_detach
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_port_detach — Detach ATA port in prepration of device removal

## Synopsis

`void ata_port_detach (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  ATA port to be detached

## Description

Detach all ATA devices and the associated SCSI devices of `ap`; then, remove the associated SCSI host. `ap` is guaranteed to be quiescent on return from this function.

## LOCKING

Kernel thread context (may sleep).

Prev | Up | Next
ata_port_alloc | Home | Chapter 6. libata SCSI translation/emulation